<?php

if (!empty($setmodules)) {
	$module['USERS']['PRIVATE_MESSAGING'] = basename(__FILE__);
	return;
}
require('./pagestart.php');
require(INC_DIR . 'bbcode.php');

$start = (int) request_var('start', 0);

$pagination = '';
$pm_count = DB()->sql_fetchrow(DB()->sql_query("SELECT COUNT(privmsgs_id) as total FROM " . BB_PRIVMSGS));
if ($pm_count['total'] > 50) {
	$pagination = generate_pagination("admin_ls.php?", $pm_count['total'], $bb_cfg['posts_per_page'], $start);
}

$template->assign_vars(array(
	'PAGINATION' => $pagination,
));

$sql = "SELECT u.username AS username_1, u.user_id AS user_id_1, u2.username AS username_2, u2.user_id AS user_id_2, pm.privmsgs_date, pm.privmsgs_ip, pmt.privmsgs_text
	FROM " . BB_PRIVMSGS . " pm, " . BB_PRIVMSGS_TEXT . " pmt, " . BB_USERS . " u, " . BB_USERS . " u2 
	WHERE pmt.privmsgs_text_id = pm.privmsgs_id
		AND u.user_id = pm.privmsgs_from_userid
		AND u2.user_id = pm.privmsgs_to_userid
	ORDER BY pm.privmsgs_date DESC
	LIMIT " . $start . ", 50";
$result = DB()->sql_query($sql);

while ($pm_text = DB()->sql_fetchrow($result)) {
	$template->assign_block_vars('pmrow', array(
		'FROM'    => '<a target="_blank" href="./profile.php?mode=viewprofile&u=' . $pm_text['user_id_1'] . '">' . $pm_text['username_1'] . '</a>',
		'TO'      => '<a target="_blank" href="./profile.php?mode=viewprofile&u=' . $pm_text['user_id_2'] . '">' . $pm_text['username_2'] . '</a>',
		'DATE'    => bb_date($pm_text['privmsgs_date']),
		'IP'      => decode_ip($pm_text['privmsgs_ip']),
		'MESSAGE' => bbcode2html($pm_text['privmsgs_text']),
	));
}

print_page('admin_ls.tpl', 'admin');